IntegerReader (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Interface IntegerReader

- All Known Implementing Classes:
    RunLengthIntegerReader, RunLengthIntegerReaderV2

      public interface IntegerReader

  Interface for reading integers.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()` Check if there are any more values left.
    `long` | `next()` Return the next available value.
    `void` | `nextVector(ColumnVector column, int[] data, int length)` Return the next available vector for values.
    `void` | `nextVector(ColumnVector column, long[] data, int length)` Return the next available vector for values.
    `void` | `seek(PositionProvider index)` Seek to the position provided by index.
    `void` | `skip(long numValues)` Skip number of specified rows.

- - ### Method Detail

    - #### seek

          void seek(PositionProvider index)
             throws IOException

      Seek to the position provided by index.
      Parameters:
        `index` -
      Throws:
        `IOException`

    - #### skip

          void skip(long numValues)
             throws IOException

      Skip number of specified rows.
      Parameters:
        `numValues` -
      Throws:
        `IOException`

    - #### hasNext

          boolean hasNext()
                   throws IOException

      Check if there are any more values left.
      Returns:
      Throws:
        `IOException`

    - #### next

          long next()
             throws IOException

      Return the next available value.
      Returns:
      Throws:
        `IOException`

    - #### nextVector

          void nextVector(ColumnVector column,
                          long[] data,
                          int length)
                   throws IOException

      Return the next available vector for values.
      Parameters:
        `column` - the column being read
        `data` - the vector to read into
        `length` - the number of numbers to read
      Throws:
        `IOException`

    - #### nextVector

          void nextVector(ColumnVector column,
                          int[] data,
                          int length)
                   throws IOException

      Return the next available vector for values. Does not change the value of column.isRepeating.
      Parameters:
        `column` - the column being read
        `data` - the vector to read into
        `length` - the number of numbers to read
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.